      SUBROUTINE INTERPR(STRING,J,NUM)
C INTERPRET STRING AS A REAL NUMBER
      REAL*8        NUM, DIGIT
      INTEGER*2     I, II, J, ISIGN
      CHARACTER*20  STRING

      NUM   = 0.
      ISIGN = 1
      I     = 1
      IF (STRING(1:1).EQ.'-') THEN
          I     = 2
          ISIGN = -1
      END IF

      DO II = I, J
          DIGIT=ICHAR(STRING(II:II))-ICHAR('0')
          NUM = NUM*10. + DIGIT
      END DO

      NUM = ISIGN * NUM

      RETURN
      END

